Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.events.impl
Class SimpleComponent

    java.lang.Object
      org.apache.muse.ws.dm.muws.events.impl.AbstractExtendedElements
          org.apache.muse.ws.dm.muws.events.impl.SimpleComponent

All Implemented Interfaces:
  Component, ExtendedElements, XmlSerializable

public class SimpleComponent
extends AbstractExtendedElements
implements Component

Author:
  Dan Jemiolo (danj)

Constructor Summary
`SimpleComponent()`
`SimpleComponent(org.w3c.dom.Element xml, WefFactory factory)`

Method Summary
`ComponentAddress` | `getAddress()`
`QName` | `getName()`
`java.lang.String` | `getResourceID()`
`void` | `setAddress(ComponentAddress address)`
`void` | `setName(QName name)`
`void` | `setResourceID(java.lang.String resourceID)`
`java.lang.String` | `toString()`
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document factory)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class org.apache.muse.ws.dm.muws.events.impl.AbstractExtendedElements
`addExtendedElement, addExtendedElement, appendExtendedElements, getExtendedElements, getExtendedElements`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.muse.ws.dm.muws.events.ExtendedElements
`addExtendedElement, addExtendedElement, getExtendedElements, getExtendedElements`

Constructor Detail

### SimpleComponent

    public SimpleComponent()

### SimpleComponent

    public SimpleComponent(org.w3c.dom.Element xml,
                           WefFactory factory)

Method Detail

### getAddress

    public ComponentAddress getAddress()

  Specified by:
    `getAddress` in interface `Component`

### getName

    public QName getName()

  Specified by:
    `getName` in interface `Component`

### getResourceID

    public java.lang.String getResourceID()

  Specified by:
    `getResourceID` in interface `Component`

### setAddress

    public void setAddress(ComponentAddress address)

  Specified by:
    `setAddress` in interface `Component`

### setName

    public void setName(QName name)

  Specified by:
    `setName` in interface `Component`

### setResourceID

    public void setResourceID(java.lang.String resourceID)

  Specified by:
    `setResourceID` in interface `Component`

### toString

    public java.lang.String toString()

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document factory)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `factory` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD